Summary: A TLS protocol implementation
Name: gnutls
Version: 2.2.0
Release: 2
License: LGPL
Group: System Environment/Libraries
URL: http://www.gnutls.org/
Source0: ftp://ftp.gnutls.org/pub/gnutls/%{name}-%{version}.tar.bz2
Source1: ftp://ftp.gnutls.org/pub/gnutls/%{name}-%{version}.tar.bz2.sig
Patch0: %{name}-%{version}-aix.patch
BuildRequires: libgcrypt-devel >= 1.2.4, gettext
BuildRequires: zlib-devel, libtasn1-devel, opencdk-devel, lzo-devel
Requires: libgcrypt >= 1.2.4
Requires: libtasn1, opencdk, lzo
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root

%description
GnuTLS is a project that aims to develop a library which provides a secure 
layer, over a reliable transport layer. Currently the GnuTLS library implements
the proposed standards by the IETF's TLS working group.

The library is available as 32-bit and 64-bit.


%package devel
Summary: Development files for the %{name} package.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libgcrypt-devel, zlib-devel
Requires: libtasn1-devel, opencdk-devel, lzo-devel
Requires: pkg-config, info, gettext
Requires: /sbin/install-info

%description devel
GnuTLS is a project that aims to develop a library which provides a secure
layer, over a reliable transport layer. Currently the GnuTLS library implements
the proposed standards by the IETF's TLS working group.
This package contains files needed for developing applications with
the GnuTLS library.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "xlc -q64" or "gcc -maix64".


%package utils
Summary: Command line tools for TLS protocol.
Group: Applications/System
Requires: %{name} = %{version}-%{release}

%description utils
GnuTLS is a project that aims to develop a library which provides a secure
layer, over a reliable transport layer. Currently the GnuTLS library implements
the proposed standards by the IETF's TLS working group.
This package contains command line TLS client and server and certificate
manipulation tools.


%prep
%setup -q
%patch0 -p0
cat Makefile.in | \
sed -e "s|SUBDIRS = lgl gl includes lib libextra src doc tests po|SUBDIRS = lgl gl includes lib libextra src tests po|" > Makefile.tmp
mv -f Makefile.tmp Makefile.in


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_prefix}/man \
    --infodir=%{_prefix}/info \
    --enable-shared --enable-static \
    --with-libgcrypt \
    --enable-random-device \
    --enable-pseudo-random-device \
    --enable-nonce-device \
    --disable-cxx
make %{?_smp_mflags}

cp libextra/.libs/libgnutls-extra.so.26 .
cp libextra/.libs/libgnutls-openssl.so.26 .
cp lib/.libs/libgnutls.so.26 .

make distclean

# now build the 32-bit version
export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_prefix}/man \
    --infodir=%{_prefix}/info \
    --enable-shared --enable-static \
    --with-libgcrypt \
    --enable-random-device \
    --enable-pseudo-random-device \
    --enable-nonce-device \
    --disable-cxx
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared libraries containing already the
# 32-bit shared objects
${AR} -q libextra/.libs/libgnutls-extra.a ./libgnutls-extra.so.26
${AR} -q libextra/.libs/libgnutls-openssl.a ./libgnutls-openssl.so.26
${AR} -q lib/.libs/libgnutls.a ./libgnutls.so.26


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
cd doc
make install DESTDIR=$RPM_BUILD_ROOT
gzip --best $RPM_BUILD_ROOT/%{_infodir}/*.info*


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%post devel
/sbin/install-info %{_infodir}/gnutls.info.gz %{_infodir}/dir || :

%preun devel
if [ $1 -eq 0 ]; then
    /sbin/install-info --delete %{_infodir}/gnutls.info.gz %{_infodir}/dir || :
fi


%files
%defattr(-,root,system,-)
%{_libdir}/*.a
%{_datadir}/locale/*
%doc AUTHORS COPYING COPYING.LIB README

%files devel
%defattr(-,root,system,-)
%{_bindir}/libgnutls*-config
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*
%{_mandir}/man3/*
%{_infodir}/gnutls*

%files utils
%defattr(-,root,system,-)
%{_bindir}/certtool
%{_bindir}/gnutls*
%{_bindir}/psktool
%{_bindir}/srptool
%{_mandir}/man1/*


%changelog
* Mon Jan 07 2008 Michael Perzl <michael@perzl.org> - 2.2.0-2
- included both 32-bit and 64-bit shared objects

* Tue Dec 18 2007 Michael Perzl <michael@perzl.org> 2.2.0-1
- First version for AIX5L v5.1 and higher
